petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMCoarsen

Coarsens a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCoarsen(DM dm, MPI_Comm comm, DM *dmc)

Collective on dm

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL)

### Output Parameter

dmc -the coarsened DM

### See Also

DMRefine(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html

### Implementations

DMCoarsen_Composite in src/dm/impls/composite/pack.c
DMCoarsen_DA in src/dm/impls/da/da.c
DMCoarsen_Forest in src/dm/impls/forest/forest.c
DMCoarsen_Moab in src/dm/impls/moab/dmmbmg.cxx
DMCoarsen_Plex in src/dm/impls/plex/plexcoarsen.c
DMCoarsen_Redundant in src/dm/impls/redundant/dmredundant.c
DMCoarsen_SNESVI in src/snes/impls/vi/rs/virs.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages